List Triage sources
curl --request GET \
--url https://neo.api.projectdiscovery.io/api/v1/triage/sources \
--header 'Authorization: Bearer <token>'import requests
url = "https://neo.api.projectdiscovery.io/api/v1/triage/sources"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://neo.api.projectdiscovery.io/api/v1/triage/sources', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"count": 123,
"sources": [
{
"configuration_version": 123,
"created_at": "2023-11-07T05:31:56Z",
"credential_configured": true,
"documentation": {
"format": "<string>",
"inline_configured": true,
"url": "<string>"
},
"enabled": true,
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"kind": "hackerone",
"name": "<string>",
"schedule": "1h",
"setup_mode": "documentation",
"status": "draft",
"team_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tested_configuration_version": 123,
"updated_at": "2023-11-07T05:31:56Z",
"last_error_code": "<string>",
"last_synced_at": "2023-11-07T05:31:56Z",
"mapping": {
"external_key": "<string>",
"description": "<string>",
"reporter": "<string>",
"severity": "<string>",
"severity_values": {},
"status": "<string>",
"title": "<string>",
"updated_at": "<string>",
"url": "<string>"
},
"next_sync_at": "2023-11-07T05:31:56Z",
"pagination": {
"type": "none",
"cursor_param": "<string>",
"cursor_path": "<string>",
"items_path": "<string>",
"next_url_path": "<string>",
"page_param": "<string>",
"page_size": 500,
"size_param": "<string>",
"start": 1
},
"request_template": {
"method": "GET",
"url": "<string>",
"auth": {
"type": "none",
"header_name": "<string>",
"query_name": "<string>",
"scopes": "<string>",
"token_url": "<string>"
},
"body": "<unknown>",
"headers": {},
"query": {}
}
}
]
}{
"error": "Bad request",
"code": "user_spending_cap_reached",
"error_id": "<string>",
"kind": "forbidden request",
"message": "<string>",
"param": "<string>",
"turnstile_site_key": "<string>"
}{
"error": "Bad request",
"code": "user_spending_cap_reached",
"error_id": "<string>",
"kind": "forbidden request",
"message": "<string>",
"param": "<string>",
"turnstile_site_key": "<string>"
}{
"error": "Bad request",
"code": "user_spending_cap_reached",
"error_id": "<string>",
"kind": "forbidden request",
"message": "<string>",
"param": "<string>",
"turnstile_site_key": "<string>"
}{
"error": "Bad request",
"code": "user_spending_cap_reached",
"error_id": "<string>",
"kind": "forbidden request",
"message": "<string>",
"param": "<string>",
"turnstile_site_key": "<string>"
}Triage
List Triage sources
List the active Triage sources of your team, oldest first. Removed sources are not listed. Credentials are never returned; a source shows only whether one is configured.
GET
/
api
/
v1
/
triage
/
sources
List Triage sources

